package controllers
import play.api._
import play.api.mvc._
import play.api.libs.json._
import play.api.libs.functional.syntax._
import beans._
import models._
import models.services._
import org.squeryl._
import org.squeryl.PrimitiveTypeMode._
import scala.collection.mutable.ArrayBuffer

object Autocomplete extends Controller{

  def projectList() = Action {
    request => {
      Ok(ProjectManager().getProjectList(request))
	}
  }
  
  def partList() = Action {
    request => {
      Ok(PartManager().partList(request))
    }
  }
  
  def userList() = Action {
    request => {
      Ok(UserManager().userList(request))
    }
  }
  
  def designChangeList() = Action {
    request => {
      Ok(DesignChangeManager().designChangeList(request))
    }
  }

}